<!DOCTYPE html>
<html>
   <head>
      <title>flake8 violations: test.py</title>
      <meta http-equiv="Content-Type" value="text/html; charset=UTF-8">
      <link rel="stylesheet" href="styles.css">
<script>
function bindHandler(link) {
   var code = link.getAttribute('data-code');
   var key = location.pathname + '#' + code;

   var ul = link.parentNode.querySelector('.details');
   if (sessionStorage[key] != 'open') {
      ul.style.display = 'none';
   }
   link.addEventListener('click', function (event) {
      if (!ul.style.display || ul.style.display == 'none') {
         ul.style.display = 'block';
         sessionStorage[key] = 'open';
      } else {
         ul.style.display = 'none';
         sessionStorage[key] = 'closed';
      }
   });
}

window.addEventListener('DOMContentLoaded', function () {
   var links = document.querySelectorAll('#index > li > a');
   for (var i = 0; i < links.length; i++) {
      bindHandler(links[i]);
   }
});
</script>
   </head>
   <body>
      <div id="masthead" class="sev-1"></div>
      <div id="page">
         <p id="srclink">
            <a title="View full annotated source"
               href="test.source.html">
               <img src="file.svg" alt="&#x2261;">
            </a></p>
         <h1>
            <a href="index.html">
               <img src="back.svg" alt="&#x2B05;">
               test.py
            </a>
         </h1>

         <ul id="index">
         
         <li>
            <a data-code="F401">
               <span class="count sev-1">
                  3
               </span>
               <strong>F401:</strong> 'tinydb.TinyDB' imported but unused
               
                  (and 2 similar)
               
            </a>
            <ul class="details">
            <li>
               
               <p>'tinydb.TinyDB' imported but unused:</p>
               
               <a href="test.source.html#l1">
                  <tt><i>1</i> <span class="kn">from</span> <span class="nn">tinydb</span> <span class="kn">import</span> <span class="n">TinyDB</span></tt>
               </a>
            </li><li>
               
               <p>'datetime.datetime' imported but unused:</p>
               
               <a href="test.source.html#l2">
                  <tt><i>2</i> <span class="kn">from</span> <span class="nn">datetime</span> <span class="kn">import</span> <span class="n">datetime</span></tt>
               </a>
            </li><li>
               
               <p>'views.chess_db' imported but unused:</p>
               
               <a href="test.source.html#l3">
                  <tt><i>3</i> <span class="kn">from</span> <span class="nn">views</span> <span class="kn">import</span> <span class="n">chess_db</span><span class="p">,</span> <span class="n">table_tournois</span></tt>
               </a>
            </li>
            </ul>
         </li>
         
         </ul>
      </div>
   </body>
</html>